export const tableHeader = selectEquiType => {

	// 1：物料；4：生产设备; 5：模具；6：备品备件; 7：周转车；8：舟皿；9：产品；10：消耗材料，11：干燥区，12.质检，13.包装材料，14.工装夹具 ，15.刀具 ,99.其他
	switch (+selectEquiType) {
		case 1:
			return [{
					label: '型号',
					prop: 'modelType'
				},
				{
					label: '规格',
					prop: 'specification'
				},

				{
					label: '牌号',
					prop: 'brandNum'
				},


			]
		case 5:
			return [{
					label: '牌号',
					prop: 'brandNum'
				},
				{
					label: '型号',
					prop: 'modelType'
				},
				{
					label: '模孔数量',
					prop: 'dieHoleNum'
				},

				{
					label: '芯棒直径',
					prop: 'mandrelDiameter',

				},
			]

		case 7:
			return [{
					label: '规格',
					prop: 'modelType'
				},
				{
					label: '材质',
					prop: 'materialQuality',

				},
				{
					label: '长宽高',
					prop: '',
					formatter(row) {
						if (!row?.extInfo) return ''
						const extendField = row.extInfo
						return `${extendField.vehicleLen || '-'}*${extendField.wilde || '-'}*${
											  extendField.hight || '-'
											}`

					}
				}
			]


		case 8: //'舟皿'
			return [{
					label: '规格',
					prop: 'specification'
				},
				{
					label: '型号',
					prop: 'modelType'
				},
				{
					label: '数量',
					prop: 'feedQuantity'
				}
		



			]
		case 10:
			return []


		case 13:
			return [

				{
					label: '规格',
					prop: 'specification'
				},

				{
					label: '型号',
					prop: 'modelType'
				},

			]
			
			
			case 26:
				return [
			
					{
						label: '仓库',
						prop: 'pathName'
					},
			
				
			
				]
			




	}

	return []
}